<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" activate="activate" configuration-pid="TRANSFORMATION_SESSION_CONFIG" configuration-policy="require" name="org.eclipse.app4mc.slg.ros2.artefacts.ROS2RootTransformer">
   <property name="transformation" value="ROS_SLG"/>
   <service>
      <provide interface="org.eclipse.app4mc.transformation.transformers.Model2TextRootTransformer"/>
   </service>
   <reference cardinality="1..1" field="moduleFactory" interface="org.eclipse.app4mc.slg.ros2.artefacts.ROS2GoogleGuiceModuleFactory" name="moduleFactory"/>
   <implementation class="org.eclipse.app4mc.slg.ros2.artefacts.ROS2RootTransformer"/>
</scr:component>